{ pkgs, ... }: {
  programs.fuzzel = {
    enable = true;
    settings = {
      main = {
        font = "JetBrainsMono Nerd Font:size=16"; # Thin often maps to weight in Nix
        dpi-aware = "no";
        terminal = "${pkgs.ghostty}/bin/ghostty";
        lines = 20;
        width = 50;
        icons-enabled = "yes";
        icon-theme = "Papirus-Nord";
      };
      colors = {
        background = "121212ee";
        text = "ffffffff";
        selection = "444444ee";
        selection-text = "acbeb1ff";
        border = "3c4541ff";
      };
      border = {
        radius = 5;
        width = 2; # Added a small width so your border color actually shows
      };
    };
  };
}
